File: 99_pmv.t

package info (click to toggle)
libfile-remove-perl 1.42-3
  • links: PTS, VCS
  • area: main
  • in suites: squeeze
  • size: 192 kB
  • ctags: 103
  • sloc: perl: 1,514; makefile: 2
file content (27 lines) | stat: -rw-r--r-- 599 bytes parent folder | download | duplicates (22)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
#!/usr/bin/perl

# Test that our declared minimum Perl version matches our syntax

use strict;
BEGIN {
	$|  = 1;
	$^W = 1;
}

my $MODULE = 'Test::MinimumVersion 0.008';

# Don't run tests for installs
use Test::More;
unless ( $ENV{AUTOMATED_TESTING} or $ENV{RELEASE_TESTING} ) {
	plan( skip_all => "Author tests not required for installation" );
}

# Load the testing module
eval "use $MODULE";
if ( $@ ) {
	$ENV{RELEASE_TESTING}
	? die( "Failed to load required release-testing module $MODULE" )
	: plan( skip_all => "$MODULE not available for testing" );
}

all_minimum_version_from_metayml_ok();